Subject: Re: rpm build errors with libiconv/libintl
To: Johnny C. Lam <>
From: Ruibiao Qiu <>
List: tech-pkg
Date: 12/20/2002 09:19:22
On Thu, 19 Dec 2002, Johnny C. Lam wrote:

>On Thu, Dec 19, 2002 at 02:56:00PM -0600, Ruibiao Qiu wrote:
>> I have been having problem building misc/rpm.  It keeps saying that
>> libiconv_open, libiconv_close, and libiconv can not be found.  But, I can see
>> them in the symbol list of the libraries.  The error messages are listed
>> below:
>> [snip]
>Revision 1.17 of devel/gettext-lib/ should fix this error.
>Could you please update your pkgsrc and see if this is fixed?


Indeed, that fixes it, although I already manually fixed the problem by adding
a "-liconv" at the end of the command.  I am automatically updating the pkgsrc
tree every day after midnight with "sup", so I just missed rev 1.17, and had 
to download it manually.